VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::content::library::item::FileTypes::ChecksumAlgorithm Class Reference

The `File.ChecksumAlgorithm` enumerated type defines the valid checksum algorithms. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, SHA1, MD5 }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static ChecksumAlgorithm[] | GetValues ()
static ChecksumAlgorithm | ValueOf (string name)
## Static Public Attributes
static readonly ChecksumAlgorithm | SHA1 = new ChecksumAlgorithm("SHA1", Values.SHA1)
| Checksum algorithm: SHA-1.
static readonly ChecksumAlgorithm | MD5 = new ChecksumAlgorithm("MD5", Values.MD5)
| Checksum algorithm: MD5.

## Detailed Description

The `File.ChecksumAlgorithm` enumerated type defines the valid checksum algorithms.

## Member Enumeration Documentation

enum vmware::content::library::item::FileTypes::ChecksumAlgorithm::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  SHA1 | Checksum algorithm: SHA-1.
  MD5 | Checksum algorithm: MD5.

## Member Function Documentation

Values vmware::content::library::item::FileTypes::ChecksumAlgorithm::GetEnumValue | ( |  | ) | `[inline]`

static ChecksumAlgorithm [] vmware::content::library::item::FileTypes::ChecksumAlgorithm::GetValues | ( |  | ) | `[inline, static]`

bool vmware::content::library::item::FileTypes::ChecksumAlgorithm::IsUnknown | ( |  | ) | `[inline]`

static ChecksumAlgorithm vmware::content::library::item::FileTypes::ChecksumAlgorithm::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly ChecksumAlgorithm vmware::content::library::item::FileTypes::ChecksumAlgorithm::MD5 = new ChecksumAlgorithm("MD5", Values.MD5)`[static]`

Checksum algorithm: MD5.

readonly ChecksumAlgorithm vmware::content::library::item::FileTypes::ChecksumAlgorithm::SHA1 = new ChecksumAlgorithm("SHA1", Values.SHA1)`[static]`

Checksum algorithm: SHA-1.

The documentation for this class was generated from the following file:

- FileTypes.cs